﻿using XF.Domain.Repository;

namespace Hotline.Early
{
    public class OrderEarlyWarning:CreationEntity
    {
        public string OrderId { get; set; }

        /// <summary>
        /// 坐席预警级别值
        /// </summary>
        public string SeatEarlyWarningLevelValue { get; set; }

        /// <summary>
        /// 坐席预警级别名称
        /// </summary>
        public string SeatEarlyWarningLevelName { get; set; }

        /// <summary>
        /// 坐席预警类型值
        /// </summary>
        public string SeatEarlyWarningTypeValue { get; set; }

        /// <summary>
        /// 坐席预警类型名称
        /// </summary>
        public string SeatEarlyWarningTypeName { get; set; }


        /// <summary>
        /// 派单预警级别值
        /// </summary>
        public string DispatchEarlyWarningLevelValue { get; set; }

        /// <summary>
        /// 派单预警级别名称
        /// </summary>
        public string DispatchEarlyWarningLevelName { get; set; }

        /// <summary>
        /// 派单预警类型值
        /// </summary>
        public string DispatchEarlyWarningTypeValue { get; set; }

        /// <summary>
        /// 派单预警类型名称
        /// </summary>
        public string DispatchEarlyWarningTypeName { get; set; }

        /// <summary>
        /// 派单选择预警
        /// </summary>
        public List<EarlyWarningSetting> DispatchEarlyWarning { get; set; }

        /// <summary>
        /// 可选择预警设置
        /// </summary>
        public List<EarlyWarningSetting> CanChooseEarlyWarning { get; set; }
    }
}
